Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawLineLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawLineLogicalStructure

public class DrawLineLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `endLeft`
  `Point`
  `endPoint`
  `String`
  `endTop`
  `String[]`
  `knobs`
  `String`
  `showTitleLabelBackground`
  `String`
  `startLeft`
  `Point`
  `startPoint`
  `String`
  `startTop`
  `String`
  `titleRotationMode`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawLineLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### endLeft

    public String endLeft

  - ### endPoint

    public Point endPoint

  - ### endTop

    public String endTop

  - ### knobs

    public String[] knobs

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

  - ### startLeft

    public String startLeft

  - ### startPoint

    public Point startPoint

  - ### startTop

    public String startTop

  - ### titleRotationMode

    public String titleRotationMode

- ## Constructor Details

  - ### DrawLineLogicalStructure

    public DrawLineLogicalStructure()